
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "building_rocksolid/version"

Gem::Specification.new do |spec|
  spec.name          = "building_rocksolid"
  spec.version       = BuildingRocksolid::VERSION
  spec.authors       = ["mellowjoeys", "britt-sentiere", "jshin1223"]
  spec.email         = ["mellowjoeys@gmail.com", "britt.sentiere@gmail.com", "jshin1223@gmail.com"]

  spec.summary       = "Contains a building class that assists with CRUD methods. Using OOP to wrap the Architecture POROS API at 'localhost:3000/api/buildings'"
  spec.homepage      = 'https://github.com/mellowjoeys/building_rocksolid.git'
  spec.license       = "MIT"
# https://rubygems.org/gems/building_rocksolid 
  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    # spec.metadata["allowed_push_host"] = "'http://mygemserver.com'"

    spec.metadata["homepage_uri"] = spec.homepage
    spec.metadata["source_code_uri"] = 'https://github.com/mellowjoeys/building_rocksolid.git'
    spec.metadata["changelog_uri"] = "https://github.com/mellowjoeys/building_rocksolid/blob/master/CHANGELOG.md"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.17"
  spec.add_development_dependency "rake", "~> 10.0"
  # spec.add_development_dependency "http"

end
